import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  vendorName: SortOrderSchema.optional(),
  websiteUrl: SortOrderSchema.optional(),
  loginUsername: SortOrderSchema.optional(),
  loginPassword: SortOrderSchema.optional()
}).strict();
export const ShoppingVendorCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorCountOrderByAggregateInput>;
export const ShoppingVendorCountOrderByAggregateInputObjectZodSchema = makeSchema();
